%global npm_name lynx

Name: nodejs-lynx
Version: 0.2.0
Release: 1%{?dist}
Summary: Minimalistic StatsD client for Node
License: MIT License
Group: Development/Libraries
URL: https://github.com/dscape/lynx#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(mersenne) >= 0.0.3
Requires: npm(mersenne) < 0.1.0
Requires: npm(statsd-parser) >= 0.0.4
Requires: npm(statsd-parser) < 0.1.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tests %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CONTRIBUTING.md
%doc README.md

%changelog
* Wed May 08 2019 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 0.2.0-1
- Initial package generated with npm2rpm.
